ONVIF::Device::Elements::GetCACertificatesResponse(3)

NAME
ONVIF::Device::Elements::GetCACertificatesResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetCACertificatesResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   CACertificate

     $element->set_CACertificate($data);
     $element->get_CACertificate();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetCACertificatesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   CACertificate =>  { # ONVIF::Device::Types::Certificate
     CertificateID =>  $some_value, # token
     Certificate =>  { # ONVIF::Device::Types::BinaryData
       Data =>  $some_value, # base64Binary
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL